Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageLaplacian Class Reference

`#include <vtkImageLaplacian.h>`

Inheritance diagram for vtkImageLaplacian:

[legend]
Collaboration diagram for vtkImageLaplacian:

[legend]
List of all members.

## Detailed Description

Computes divergence of gradient.

Date:
  2002/03/04 19:01:03

Revision:
  1.31

vtkimageLaplacian computes the Laplacian (like a second derivative) of a scalar image. The operation is the same as taking the divergence after a gradient. Boundaries are handled, so the input is the same as the output. Dimensionality determines how the input regions are interpreted. (images, or volumes). The Dimensionality defaults to two.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (54%)
  - Martin, Ken (36%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkImageLaplacian.cxx)`
  - .`h` (`/Imaging/vtkImageLaplacian.h)`

Tests:
  vtkImageLaplacian (Tests)

Definition at line 50 of file vtkImageLaplacian.h.

## Public Types
typedef vtkImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetDimensionality (int)
virtual int | GetDimensionality ()
## Static Public Methods
vtkImageLaplacian * | New ()
int | IsTypeOf (const char *type)
vtkImageLaplacian * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageLaplacian ()
| ~vtkImageLaplacian ()
void | ComputeInputUpdateExtent (int inExt[6], int outExt[6])
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int ext[6], int id)
## Protected Attributes
int | Dimensionality

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageLaplacian::Superclass

| Reimplemented from vtkImageToImageFilter. Definition at line 54 of file vtkImageLaplacian.h.

## Constructor & Destructor Documentation

vtkImageLaplacian::vtkImageLaplacian | ( |  | ) | `[protected]`

vtkImageLaplacian::~vtkImageLaplacian | ( |  | ) | `[inline, protected]`

| Definition at line 65 of file vtkImageLaplacian.h.

## Member Function Documentation

vtkImageLaplacian* vtkImageLaplacian::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageLaplacian::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter.

int vtkImageLaplacian::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

virtual int vtkImageLaplacian::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

vtkImageLaplacian* vtkImageLaplacian::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageLaplacian::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageToImageFilter.

virtual void vtkImageLaplacian::SetDimensionality | ( | int |  | ) | `[virtual]`

| Determines how the input is interpreted (set of 2d slices ...)

virtual int vtkImageLaplacian::GetDimensionality | ( |  | ) | `[virtual]`

| Determines how the input is interpreted (set of 2d slices ...)

void vtkImageLaplacian::ComputeInputUpdateExtent | ( | int | inExt[6],
|  | int | outExt[6]
| ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageLaplacian::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | ext[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

## Member Data Documentation

int vtkImageLaplacian::Dimensionality`[protected]`

| Definition at line 67 of file vtkImageLaplacian.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageLaplacian.h